GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
gridfire::expectations::EngineError Struct Reference

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::EngineError:

## Public Member Functions
| EngineError (std::string message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes
std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Friends
std::ostream & | operator<< (std::ostream &os, const EngineError &e)

## Constructor & Destructor Documentation

## ◆ EngineError()

gridfire::expectations::EngineError::EngineError | ( | std::string | message,
|  | const EngineErrorTypes | type )
| inline explicit

## ◆ ~EngineError()

virtual gridfire::expectations::EngineError::~EngineError | ( |  | ) |
| virtual default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EngineError & | e )
| friend

## Member Data Documentation

## ◆ m_message

std::string gridfire::expectations::EngineError::m_message

## ◆ type

const EngineErrorTypes gridfire::expectations::EngineError::type = EngineErrorTypes::FAILURE

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h